Topic Closed
Benjamin
43 Posts
8.9K Downloads
2 Plugins

Whenever I try to send a rating/review for a plugin I get a generic error message with the review form attached to it.

Is something wrong with my page or with yours?

11 years ago#2012

Charles S
448 Posts
13.7K Downloads
2 Themes
8 Plugins

I just tested it on one of my sites and had no problem. Using gpEasy 2.1

You are doing the review from within your site -> manage plugins -> rate?

 

11 years ago#2013

Benjamin
43 Posts
8.9K Downloads
2 Plugins

Yes, I am. There is no other way, is there?

It might be a problem with my webspace, although that usualy produces a specific error message. I'll have to look into it.

11 years ago#2014

Charles S
448 Posts
13.7K Downloads
2 Themes
8 Plugins

I don't think there is. Just making sure though.

I know I had a similar problem in the past and it was indeed a bug.

11 years ago#2015

Josh S.
2K Posts
304K Downloads
16 Themes
18 Plugins

It's certainly possible it's because of a bug, could be your server isn't compat either...

I just looked at the code for ratings and the message you're seeing is probably the "Oops, that didn't work, please try again." message, is that right? I've updated the messages to give us a little more detail and we will be able to narrow the  problem down further in the next version if you want try again.

-Josh

11 years ago#2064

Benjamin
43 Posts
8.9K Downloads
2 Plugins

Well, something is definitely wrong, because the review-form was actualy included in the error message, in the yellow area at the top.

Still, the error itself might be caused by the server-settings, it's an older webspace account, I'd have to go through the settings sometime.

11 years ago#2066

Benjamin
43 Posts
8.9K Downloads
2 Plugins

I tested it on another page (although on the same server) and had the same problem. I can't find anything wrong with the configuration, since downloading plugins and themes works fine. Also, the look of the error message indicates some bug:

11 years ago#2385

Josh S.
2K Posts
304K Downloads
16 Themes
18 Plugins

And that's with the latest release of gpEasy?

11 years ago#2393

Benjamin
43 Posts
8.9K Downloads
2 Plugins

No, that was with 2.1.

Now I updated to 2.2 and the error looks like this:

11 years ago#2402

Josh S.
2K Posts
304K Downloads
16 Themes
18 Plugins

Ok. I think I've found the problem... though I'm not sure why it's happening yet... should have more info in just a few.

11 years ago#2403

Josh S.
2K Posts
304K Downloads
16 Themes
18 Plugins

Ok, here we go. A small change in the /include/admin/admin_addons_tool.php file should do the trick. Change line 434 from

$path .= '?'.http_build_query($data);

to

$path .= '?'.http_build_query($data,'','&');

Or replace it with this copy.

11 years ago#2404

Benjamin
43 Posts
8.9K Downloads
2 Plugins

Thanks, that works perfectly!

11 years ago#2425

Topic Closed

 

News

elFinder 2.1.50 in Upcoming Release
12/28/2019

A new release for Typesetter is in the works with a lot of improvements including the ... Read More

Typesetter 5.1
8/12/2017

Typesetter 5.1 is now available for download. 5.1 includes bug fixes, UI/UX improvements, ... Read More

More News

creisi productions

Dienstleistungen von creisi productions, Ennetb├╝rgen (Schweiz): * Konzeption, Planung und Erstellung Ihres Internet-Auftritts * Betreuung und Aktualisierung/Pflege Ihrer Websi...

Find out more about our Provider Spotlight

Log In

  Register